N00019639/Models/Comentario.cs
using System;
using System.Collections.Generic;
using System.Linq;
using System.Threading.Tasks;

namespace N00019639.Models
{
    public class Comentario
    {
        public int Id { get; set; }
        public int PostId { get; set; }
        public string Detalle { get; set; }
    }
}

N00019639/Models/ErrorViewModel.cs
using System;

namespace N00019639.Models
{
    public class ErrorViewModel
    {
        public string RequestId { get; set; }

        public bool ShowRequestId => !string.IsNullOrEmpty(RequestId);
    }
}

N00019639/Models/Post.cs
using System;
using System.Collections.Generic;
using System.Linq;
using System.Threading.Tasks;

namespace N00019639.Models
{
    public class Post
    {
        public int Id { get; set; }

        public string Titulo { get; set; }

        public string Autor { get; set; }

        public string Contenido { get; set; }

        public DateTime FechaRedaccion { get; set; }
    }
}

N00019639/Controllers/HomeController.cs
using Microsoft.AspNetCore.Mvc;
using Microsoft.Extensions.Logging;
using N00019639.Models;
using System;
using System.Collections.Generic;
using System.Diagnostics;
using System.Linq;
using System.Threading.Tasks;

namespace N00019639.Controllers
{
    public class HomeController : Controller
    {
        private readonly ILogger<HomeController> _logger;

        public HomeController(ILogger<HomeController> logger)
        {
            _logger = logger;
        }

        public IActionResult Index()
        {
            return View();
        }

        public IActionResult Privacy()
        {
            return View();
        }

        [ResponseCache(Duration = 0, Location = ResponseCacheLocation.None, NoStore = true)]
        public IActionResult Error()
        {
            return View(new ErrorViewModel { RequestId = Activity.Current?.Id ?? HttpContext.TraceIdentifier });
        }
    }
}

N00019639/Controllers/PostController.cs
using Microsoft.AspNetCore.Mvc;
using N00019639.DB;
using N00019639.Models;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Threading.Tasks;

namespace N00019639.Controllers
{

    public class PostDetalle
    {
        public Post Post { get; set; }
        public List<Comentario> Comentarios { get; set; }
    }

    public class PostController : Controller
    {
        private AppBlogPostsContext context;

        public PostController(AppBlogPostsContext context)
        {
            this.context = context;
        }

        [HttpGet]
        public IActionResult Index()
        {
            var posts = context.Posts;
            return View(posts);
        }

        [HttpGet]
        public IActionResult Detalle(int id)
        {
            var posts = context.Posts;

            var post = posts.FirstOrDefault(post => post.Id == id);
            List<Comentario> comentarios = context.Comentarios.Where(comentario => comentario.PostId == id).ToList();

            var detalle = new PostDetalle
            {
                Post = post,
                Comentarios = comentarios
            };

            return View(detalle);
        }

        [HttpGet]
        public IActionResult Crear()
        {
            return View();
        }

        [HttpPost]
        public IActionResult Crear(Post post)
        {
            post.FechaRedaccion = DateTime.Now;
            context.Posts.Add(post);
            context.SaveChanges();
            return RedirectToAction("Index");
        }

        public RedirectToActionResult AddComentario(Comentario comentario)
        {
            context.Comentarios.Add(comentario);
            context.SaveChanges();
            return RedirectToAction("Detalle", new { id = comentario.PostId });
        }
    }
}

N00019639/Views/Home/Index.cshtml
@{
    ViewData["Title"] = "Home Page";
}

<div class="text-center">
    <h1 class="display-4">Welcome</h1>
    <p>Learn about <a href="https://docs.microsoft.com/aspnet/core">building Web apps with ASP.NET Core</a>.</p>
</div>

N00019639/Views/Post/Crear.cshtml
<form action="/Post/Crear" method="post">
    <label>Titulo</label>
    <input type="text" name="Titulo" value="" />

    <label>Autor</label>
    <input type="text" name="Autor" value="" />

    <label>Contenido</label>
    <textarea rows="10" cols="100" name="Contenido">
    </textarea>

    <button>Enviar</button>
</form>

N00019639/Views/Post/Detalle.cshtml
<h1>Titulo: @Model.Post.Titulo</h1>
<h2>Autor: @Model.Post.Autor</h2>
<h3>Fecha: @Model.Post.FechaRedaccion.ToString("dd/MM/yyyy hh:mm tt")</h3>
<hr />

<h3>Contenido</h3>
<p>@Model.Post.Contenido</p>

<hr />
<hr />

<h3>Comentarios</h3>
<ul>
    @foreach (var item in Model.Comentarios)
    {
        <li>@item.Detalle</li>
    }
</ul>

<hr />
<hr />

<h3>Añade un comentario</h3>

<form method="post" action="/Post/AddComentario?PostId=@Model.Post.Id">

    <textarea rows="10" cols="100" name="Detalle">
    </textarea>

    <button>Enviar</button>
</form>

N00019639/Views/Post/Index.cshtml
<h1>Posts</h1>

<ul>
    @foreach (var item in Model)
    {
    <li>
        <a href="/Post/Detalle/@item.Id  ">
            <h2>Titulo: @item.Titulo </h2>
            <h3>Autor: @item.Autor</h3>
        </a>
        Fecha: @item.FechaRedaccion.ToString("dd/MM/yyyy hh:mm tt")
    </li>
    }
</ul>

N00019639/Views/Shared/_Layout.cshtml
<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <title>@ViewData["Title"] - N00019639</title>
    <link rel="stylesheet" href="~/lib/bootstrap/dist/css/bootstrap.min.css" />
    <link rel="stylesheet" href="~/css/site.css" />
</head>
<body>
    <header>
        <nav class="navbar navbar-expand-sm navbar-toggleable-sm navbar-light bg-white border-bottom box-shadow mb-3">
            <div class="container">
                <a class="navbar-brand" asp-area="" asp-controller="Home" asp-action="Index">N00019639</a>
                <button class="navbar-toggler" type="button" data-toggle="collapse" data-target=".navbar-collapse" aria-controls="navbarSupportedContent"
                        aria-expanded="false" aria-label="Toggle navigation">
                    <span class="navbar-toggler-icon"></span>
                </button>
                <div class="navbar-collapse collapse d-sm-inline-flex flex-sm-row-reverse">
                    <ul class="navbar-nav flex-grow-1">
                        <li class="nav-item">
                            <a class="nav-link text-dark" asp-area="" asp-controller="Post" asp-action="Index">Posts</a>
                        </li>
                        <li class="nav-item">
                            <a class="nav-link text-dark" asp-area="" asp-controller="Post" asp-action="Crear">Crear post</a>
                        </li>
                    </ul>
                </div>
            </div>
        </nav>
    </header>
    <div class="container">
        <main role="main" class="pb-3">
            @RenderBody()
        </main>
    </div>

    <footer class="border-top footer text-muted">
        <div class="container">
            &copy; 2021 - N00019639 - <a asp-area="" asp-controller="Home" asp-action="Privacy">Privacy</a>
        </div>
    </footer>
    <script src="~/lib/jquery/dist/jquery.min.js"></script>
    <script src="~/lib/bootstrap/dist/js/bootstrap.bundle.min.js"></script>
    <script src="~/js/site.js" asp-append-version="true"></script>
    @RenderSection("Scripts", required: false)
</body>
</html>